import * as React from 'react';
export var TooltipContext = /*#__PURE__*/React.createContext({});

var useTooltipContext = function useTooltipContext() {
  var context = React.useContext(TooltipContext);

  if (context === null) {
    throw new Error('Tooltip components must be wrapped in <Tooltip />');
  }

  return context;
};

export default useTooltipContext;